
Redmine - Defect #38223

Send out mail with full name of commenter

2023-01-30 05:37 - Martin Dürst

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

The Ruby core team uses Redmine for issue tracking (see https://bugs.ruby-lang.org). The source for this Redmine instance is

maintained at https://github.com/ruby/b.r-l.o/. Mails from this instance seem to only use the login name if there are non-ASCII

characters in the full name. If the full name does not contain non-ASCII characters, then both the login name and the full name are

given.

Analyzing the problem lead to the conclusion that this is a Redmine issue, not specific to bugs.ruby-lang.org. That's why I'm reporting

it here. I'm not familiar with the internals of Redmine, but for example the 'mail' gem has no problem sending out mails with

non-ASCII names.

History

#1 - 2023-01-30 07:08 - Go MAEDA

Could you give us information on this issue that you are aware of at this time? I would like to know where I should start looking into this.

#2 - 2024-01-22 14:56 - Marius BĂLTEANU

- Status changed from New to Needs feedback

#3 - 2024-01-23 00:56 - Martin Dürst

Marius BĂLTEANU I'm glad to provide feedback if you tell me what kind of feedback you need.

#4 - 2024-01-23 13:00 - Marius BĂLTEANU

Go MAEDA wrote in #note-1:

Could you give us information on this issue that you are aware of at this time? I would like to know where I should start looking into this.

 Martin Liu, this comment.

#5 - 2024-05-28 10:36 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce
